OroCRM\Bundle\MagentoBundle\Entity\Order:
    alias:                          orocrm_magento_order
    label:                          orocrm.magento.order.entity_plural_label
    title_fields:                   [incrementId]
    route:
        name:                       orocrm_magento_order_view
        parameters:
            id:                     id
    search_template:                OroCRMMagentoBundle:Order:searchResult.html.twig
    fields:
        -
            name:                   incrementId
            target_type:            text
            target_fields:          [incrementId]
        -
            name:                   totalAmount
            target_type:            decimal
            target_fields:          [totalAmount]
        -
            name:                   subtotalAmount
            target_type:            decimal
            target_fields:          [subtotalAmount]
        -
            name:                   customer
            relation_type:          many-to-one
            relation_fields:
                -
                    name:                   namePrefix
                    target_type:            text
                    target_fields:          [customerNamePrefix]
                -
                    name:                   firstName
                    target_type:            text
                    target_fields:          [customerFirstName]
                -
                    name:                   middleName
                    target_type:            text
                    target_fields:          [customerMiddleName]
                -
                    name:                   lastName
                    target_type:            text
                    target_fields:          [customerLastName]
                -
                    name:                   nameSuffix
                    target_type:            text
                    target_fields:          [customerNameSuffix]
                -
                    name:                   channelName
                    target_type:            text
                    target_fields:          [customerChannelName]
                -
                    name:                   websiteName
                    target_type:            text
                    target_fields:          [websiteName]
                -
                    name:                   storeName
                    target_type:            text
                    target_fields:          [storeName]
        -
            name:                  dataChannel
            relation_type:         many-to-one
            relation_fields:
                -
                    name:          id
                    target_type:   integer
                    target_fields: [dataChannelId]

OroCRM\Bundle\MagentoBundle\Entity\Cart:
    alias:                          orocrm_magento_cart
    label:                          orocrm.magento.cart.entity_plural_label
    title_fields:                   [originId]
    route:
        name:                       orocrm_magento_cart_view
        parameters:
            id:                     id
    search_template:                OroCRMMagentoBundle:Cart:searchResult.html.twig
    fields:
        -
            name:                   originId
            target_type:            text
            target_fields:          [originId]
        -
            name:                   itemsCount
            target_type:            integer
            target_fields:          [itemsCount]
        -
            name:                   grandTotal
            target_type:            decimal
            target_fields:          [grandTotal]
        -
            name:                   subTotal
            target_type:            decimal
            target_fields:          [subTotal]
        -
            name:                   customer
            relation_type:          many-to-one
            relation_fields:
                -
                    name:                   namePrefix
                    target_type:            text
                    target_fields:          [customerNamePrefix]
                -
                    name:                   firstName
                    target_type:            text
                    target_fields:          [customerFirstName]
                -
                    name:                   middleName
                    target_type:            text
                    target_fields:          [customerMiddleName]
                -
                    name:                   lastName
                    target_type:            text
                    target_fields:          [customerLastName]
                -
                    name:                   nameSuffix
                    target_type:            text
                    target_fields:          [customerNameSuffix]
                -
                    name:                   channelName
                    target_type:            text
                    target_fields:          [channelName]
        -
            name:                   store
            relation_type:          many-to-one
            relation_fields:
                -
                    name:                   name
                    target_type:            text
                    target_fields:          [storeName]
                -
                    name:                   websiteName
                    target_type:            text
                    target_fields:          [websiteName]
        -
            name:                   status
            relation_type:          many-to-one
            relation_fields:
                -
                    name:                   name
                    target_type:            text
                    target_fields:          [statusName]
                -
                    name:                   label
                    target_type:            text
                    target_fields:          [statusLabel]
        -
            name:                  dataChannel
            relation_type:         many-to-one
            relation_fields:
                -
                    name:          id
                    target_type:   integer
                    target_fields: [dataChannelId]


OroCRM\Bundle\MagentoBundle\Entity\Customer:
    alias:                          orocrm_magento_customer
    label:                          orocrm.magento.customer.entity_plural_label
    title_fields:                   [firstName, lastName]
    route:
        name:                       orocrm_magento_customer_view
        parameters:
            id:                     id
    search_template:                OroCRMMagentoBundle:Customer:searchResult.html.twig
    fields:
        -
            name:                   namePrefix
            target_type:            text
            target_fields:          [namePrefix]
        -
            name:                   firstName
            target_type:            text
            target_fields:          [firstName]
        -
            name:                   middleName
            target_type:            text
            target_fields:          [middleName]
        -
            name:                   lastName
            target_type:            text
            target_fields:          [lastName]
        -
            name:                   nameSuffix
            target_type:            text
            target_fields:          [nameSuffix]
        -
            name:                   channelName
            target_type:            text
            target_fields:          [channelName]
        -
            name:                   websiteName
            target_type:            text
            target_fields:          [websiteName]
        -
            name:                   storeName
            target_type:            text
            target_fields:          [storeName]
        -
            name:                  dataChannel
            relation_type:         many-to-one
            relation_fields:
                -
                    name:          id
                    target_type:   integer
                    target_fields: [dataChannelId]
